Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.impl
Class DomainModelReferenceIterator

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.model.impl.DomainModelReferenceIterator

All Implemented Interfaces:
  Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>

    public class DomainModelReferenceIterator

extends Object
implements Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>

Class for the DomainModelReferenceIterator which iterates over all found `Settings`.

Since:
  1.2
Author:
  Eugen Neufeld

Constructor Summary
`DomainModelReferenceIterator(List<org.eclipse.emf.ecore.EReference> leftReferences, org.eclipse.emf.ecore.EObject lastResolvedEObject, org.eclipse.emf.ecore.EStructuralFeature domainModelFeature)` Constructor for the `DomainModelReferenceIterator`.

Method Summary
`boolean` | `hasNext()`
`org.eclipse.emf.ecore.EStructuralFeature.Setting` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainModelReferenceIterator

    public DomainModelReferenceIterator(List<org.eclipse.emf.ecore.EReference> leftReferences,
                                        org.eclipse.emf.ecore.EObject lastResolvedEObject,
                                        org.eclipse.emf.ecore.EStructuralFeature domainModelFeature)

  Constructor for the `DomainModelReferenceIterator`.

  Parameters:
    `leftReferences` - the references which could not be used in the normal resolve process
    `lastResolvedEObject` - the last `EObject` that was resolved
    `domainModelFeature` - the `EStructuralFeature` which is referenced

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>`
  See Also:
    `Iterator.remove()`

### next

    public org.eclipse.emf.ecore.EStructuralFeature.Setting next()

  Specified by:
    `next` in interface `Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>`
  See Also:
    `Iterator.next()`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>`
  See Also:
    `Iterator.hasNext()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.